+1-888-365-2779
Try Now
More in this section

Forums / Developing with Sitefinity / ASP.NET MVC 5 Support

ASP.NET MVC 5 Support

4 posts, 0 answered
  1. Samir Vaidya
    Samir Vaidya avatar
    261 posts
    Registered:
    05 Feb 2005
    23 Feb 2015
    Link to this post

    I am developing some functionality that relies on NuGet packages which in turn have dependencies on ASP.NET MVC 5 (v. 5.20 to be exact).  Is there a way I can simply substitute the ASP.NET MVC 5 assemblies into my SItefinity project and have everything work?  I am pretty familiar with how to update the Web.config files to support newer versions of ASP.NET MVC, so I just need to know if Sitefinity can support ASP.NET MVC 5 since it still ships with MVC 4 assemblies. 

     

    If it cannot currently support MVC 5, is there a timeline when MVC 5 support will be available considering that MVC 6 is already on the very near horizon?

    Thanks. 

  2. Sabrie Nedzhip
    Sabrie Nedzhip avatar
    534 posts
    Registered:
    09 Dec 2016
    25 Feb 2015
    Link to this post
    Hi,

    Currently, Sitefinity does not support ASP.NET MVC 5. We are planning to include support for it for our future releases, however, I am not able to give you a time frame when this will be done.

    Regards,
    Sabrie Nedzhip
    Telerik
     
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Sitefinity CMS Ideas&Feedback Portal and vote to affect the priority of the items
     
  3. Mikael Kleinwort
    Mikael Kleinwort avatar
    78 posts
    Registered:
    17 May 2004
    19 Jun 2015 in reply to Sabrie Nedzhip
    Link to this post

    Is there any Change on this subject as of now?

     I am interested to use Visual Studio 2015 and its SignalR Support along with ASP.NET 4.6 / 5 features.

    Can I upgrade the Sitefinity latest version 8 Project to ASP.NET 4.6, will this work?

    Regards, Mikael

  4. Sabrie Nedzhip
    Sabrie Nedzhip avatar
    534 posts
    Registered:
    09 Dec 2016
    24 Jun 2015
    Link to this post
    Hello Mikael,

    There have been problems connected with the architecture that have been identified in migrating Sitefinity to use .Net 4.5, so until we get those issues solved Sitefinity will continue to be compiled against 4.0. Currently, our developers are working in solving these issues and we hope that we will have support for .NET 4.5 soon. For the time being, Sitefinity assemblies are compiled with .NET 4.0 and using the .NET 4.5 is not supported. 

    However, please note that you can install .NET framework 4.5 on your environment. Please refer to the below article for more details on this:

    Recommended environment settings

    You can also checkout the following forum threads where the same has been discussed:

    http://www.sitefinity.com/developer-network/forums/developing-with-sitefinity-/asp-net-4-5

    http://www.sitefinity.com/developer-network/forums/bugs-issues-/multiple-platform-version-releases-of-sitefinity#vp8YmBMfc0WyoLbpvbrZ2A

    Regarding the MVC 5 support - please note that Sitefinity officially supports MVC version 4.0, but you can still work with MVC 5 as well, however there might be some unsupported cases which we cannot predict for the time being as the system has not been fully tested against this MVC version. Our developers are currently working on this as well and hopefully we will provide support for MVC 5 soon.

    Regards,
    Sabrie Nedzhip
    Telerik
     
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Sitefinity CMS Ideas&Feedback Portal and vote to affect the priority of the items
     
4 posts, 0 answered